
Foreman - Feature #13144

Enable assets.raise_runtime_errors in test environment

01/12/2016 09:41 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Tests   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3057

  

Description

The config.assets.raise_runtime_errors feature to spot unprecompiled assets, used in development (#12914) should also be enabled

in test so functional and integration tests pick up these errors automatically.

Related issues:

Related to Foreman - Refactor #12914: update rails configuration files to mat... Closed 12/22/2015

Related to Foreman - Bug #13050: Do not pass paths with /assets to helpers Closed 01/07/2016

Blocked by Katello - Bug #13214: Asset katello/containers/container.css is no... Closed 01/14/2016

Associated revisions

Revision 62a6652d - 01/14/2016 04:22 AM - Dominic Cleal

fixes #13144 - enable missing precompiled asset errors in test env

Remove extraneous ace/ace JS, which is included through vendor.

History

#1 - 01/12/2016 09:42 AM - Dominic Cleal

- Related to Refactor #12914: update rails configuration files to match to 4.1 syntax added

#2 - 01/12/2016 09:44 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3057 added

#3 - 01/12/2016 09:44 AM - Dominic Cleal

- Related to Bug #13050: Do not pass paths with /assets to helpers added

#4 - 01/14/2016 03:14 AM - Dominic Cleal

- Blocked by Bug #13214: Asset katello/containers/container.css is not precompiled added

#5 - 01/14/2016 05:03 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 62a6652d2a5422734a60396d838a8154182fa800.

#6 - 01/14/2016 05:43 AM - Dominic Cleal

- translation missing: en.field_release set to 71
